Public Member Functions | List of all members
libvisio::VSDEmpty Class Reference
Inheritance diagram for libvisio::VSDEmpty:

## Public Member Functions
| VSDEmpty (unsigned id, unsigned level)
| ~VSDEmpty () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual void | handle (VSDCollector *collector) const =0
virtual VSDGeometryListElement * | clone ()=0
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDEmpty()

libvisio::VSDEmpty::VSDEmpty | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| inline

## ◆ ~VSDEmpty()

libvisio::VSDEmpty::~VSDEmpty | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDEmpty::clone | ( |  | ) |
| override virtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDEmpty::handle | ( | VSDCollector * | collector | ) | const
| override virtual

Implements libvisio::VSDGeometryListElement.

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp